Handovers Configuration (Operations)
Endpoints to create, update, and read handover configuration.
This part of the API is in Beta status. For details, see the API release lifecycle documentation. Returns the handover configuration for the tenant
Handover configuration was found & you were allowed to access it. The result is in the body.
HandoverConfiguration
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42This part of the API is deprecated. For details, see the API release lifecycle documentation.
If true, a handover job will be created out of a valid routing plan. It is only possible, if no pickjob nor pack jobs are used for this tenant. This is a alpha feature and might be completely replaced in the future. Please only use in communication with the fulfillmenttools team.
trueYour user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Entity not found
GET /api/configurations/handover HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"additionalItems": {
"active": false
},
"availableRefusedReasons": [
{
"refusedReasonLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"active": true,
"refusedReason": "Broken Item"
}
],
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Updates the handover configuration for the tenant. If the configuration does not exist, it will be created.
HandoverConfigurationForCreate
This part of the API is deprecated. For details, see the API release lifecycle documentation.
If true, a handover job will be created out of a valid routing plan. It is only possible, if no pickjob nor packjobs are used for this tenant. This is a alpha feature and might be completly replaced in the future. Please only use in communication with the FFT team.
trueThe handover configuration was successfully updated.
HandoverConfiguration
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42This part of the API is deprecated. For details, see the API release lifecycle documentation.
If true, a handover job will be created out of a valid routing plan. It is only possible, if no pickjob nor pack jobs are used for this tenant. This is a alpha feature and might be completely replaced in the future. Please only use in communication with the fulfillmenttools team.
trueInvalid input. See response for details
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PUT /api/configurations/handover HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141
{
"additionalItems": {
"active": false
},
"availableRefusedReasons": [
{
"refusedReasonLocalized": "{ en_US: 'SomeName' }",
"active": true
}
],
"version": 1
}{
"additionalItems": {
"active": false
},
"availableRefusedReasons": [
{
"refusedReasonLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"active": true,
"refusedReason": "Broken Item"
}
],
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}Existing refuse reasons
AvailableRefusedReason
translated refusedReason selected from refusedReasonLocalized
Broken ItemInvalid input. See response for details
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/configurations/handover/refusereasons HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"refusedReasonLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"active": true,
"refusedReason": "Broken Item"
}
]handoverJob tag config is in response body.
HandoverJobTagConfiguration
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Entity not found
GET /api/configurations/tags/handoverjob HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"stickerConfiguration": {
"offeredStickersByTag": [
{
"matchingValues": [
"text"
],
"stickers": [],
"tagRef": "text"
}
]
},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"offeredDocumentsByDefault": [
{
"documentCategory": "EXTERNAL"
}
],
"offeredDocumentsPerTag": [
{
"matchingValues": [
"text"
],
"offeredDocuments": [
{
"documentCategory": "EXTERNAL"
}
],
"tagRef": "text"
}
]
}HandoverJobTagConfiguration
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42The handoverjob tag configuration was successfully updated.
HandoverJobTagConfiguration
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42Invalid input. See response for details
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PUT /api/configurations/tags/handoverjob HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 387
{
"stickerConfiguration": {
"offeredStickersByTag": [
{
"matchingValues": [
"text"
],
"stickers": [],
"tagRef": "text"
}
]
},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"offeredDocumentsByDefault": [
{
"documentCategory": "EXTERNAL"
}
],
"offeredDocumentsPerTag": [
{
"matchingValues": [
"text"
],
"offeredDocuments": [
{
"documentCategory": "EXTERNAL"
}
],
"tagRef": "text"
}
]
}{
"stickerConfiguration": {
"offeredStickersByTag": [
{
"matchingValues": [
"text"
],
"stickers": [],
"tagRef": "text"
}
]
},
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"offeredDocumentsByDefault": [
{
"documentCategory": "EXTERNAL"
}
],
"offeredDocumentsPerTag": [
{
"matchingValues": [
"text"
],
"offeredDocuments": [
{
"documentCategory": "EXTERNAL"
}
],
"tagRef": "text"
}
]
}Last updated
Was this helpful?

